# PSF-LoginServer - master - net.psforever.objects.serverobject.structures.BuildingDefinition
PSF - LoginServer - master - net.psforever.objects.serverobject.structures.BuildingDefinition
Keywords: PSF LoginServer master net.psforever.objects.serverobject.structures.BuildingDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package structures
  Definition Classes
    serverobject
- Amenity
- AmenityDefinition
- AmenityOwner
- AutoRepairStats
- Building
- BuildingDefinition
- FoundationBuilder
- PoweredAmenityControl
- SphereOfInfluence
- StructureType
- WarpGate
- WarpGateDefinition

c

net.psforever.objects.serverobject.structures

# BuildingDefinition

###

#### class BuildingDefinition extends ObjectDefinition with NtuContainerDefinition with SphereOfInfluence

Source
  BuildingDefinition.scala

Linear Supertypes
SphereOfInfluence, NtuContainerDefinition, ObjectDefinition, BasicDefinition, AnyRef, Any
Known Subclasses
WarpGateDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BuildingDefinition
2. SphereOfInfluence
3. NtuContainerDefinition
4. ObjectDefinition
5. BasicDefinition
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BuildingDefinition(objectId: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Descriptor: String
   Definition Classes
     BasicDefinition
5.  def Descriptor_=(description: Option[String]): String
   Definition Classes
     BasicDefinition
6.  def Descriptor_=(description: String): String
   Definition Classes
     BasicDefinition
7.  def DisableAtMaxDepth: Boolean
   Definition Classes
     ObjectDefinition
8.  def DisableAtMaxDepth_=(drowns: Boolean): Boolean
   Definition Classes
     ObjectDefinition
9.  def DrownAtMaxDepth: Boolean
   Definition Classes
     ObjectDefinition
10.  def DrownAtMaxDepth_=(drowns: Boolean): Boolean
    Definition Classes
      ObjectDefinition
11.  def Geometry: (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
12.  def Geometry_=(func: (Any) => VolumetricGeometry): (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
13.  def MaxDepth: Float
    Definition Classes
      ObjectDefinition
14.  def MaxDepth_=(height: Float): Float
    Definition Classes
      ObjectDefinition
15.  def MaxNtuCapacitor: Float
    Definition Classes
      NtuContainerDefinition
16.  def MaxNtuCapacitor_=(max: Float): Float
    Definition Classes
      NtuContainerDefinition
17.  def Name: String
    Definition Classes
      BasicDefinition
18.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
19.  def ObjectId: Int
    Definition Classes
      ObjectDefinition
20.  final def Packet: ObjectCreateConverter[PlanetSideGameObject]

    Get the conversion object.

    Get the conversion object.

    Definition Classes
      ObjectDefinition
21.  final def Packet_=(pkt: ObjectCreateConverter[_]): PacketConverter

    Assign this definition a conversion object.

    Assign this definition a conversion object.

    pkt

      the new converter

    returns

      the current converter, after assignment

    Definition Classes
      ObjectDefinition
22.  def SOIRadius: Int
    Definition Classes
      SphereOfInfluence
23.  def SOIRadius_=(radius: Int): Int
    Definition Classes
      SphereOfInfluence
24.  def ServerSplashTargetsCentroid: Boolean
    Definition Classes
      ObjectDefinition
25.  def ServerSplashTargetsCentroid_=(splash: Boolean): Boolean
    Definition Classes
      ObjectDefinition
26.  def UnderwaterLifespan(suffocation: Long, recovery: Long): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
27.  def UnderwaterLifespan(key: OxygenState): Long
    Definition Classes
      ObjectDefinition
28.  def UnderwaterLifespan(): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
29.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
30.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
31.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
33.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
34.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  var packet: PacketConverter

    a data converter for this type of object

    a data converter for this type of object

    Attributes
      protected
    Definition Classes
      ObjectDefinition
41.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
42.  def toString(): String
    Definition Classes
      AnyRef → Any
43.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SphereOfInfluence

### Inherited from NtuContainerDefinition

### Inherited from ObjectDefinition

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped